	PAGE	,132
	TITLE	CS

;***************************************************************;
;								;
;	Written Jim Buszkiewicz					;
;	Original Idea from D.W. Gohr				;
;								;
;	CS (change speed) puts the H/Z-200 computer into the	;
;	SLOW or	FAST mode. In the SLOW mode it runs at the	;
;	speed of the H/Z150. In the fast mode it runs at the	;
;	full speed of the 80286.				;
;								;
;	Use the following steps to create the program: CS.COM	;
;								;
;	1. Assmeble the source file. (MASM CS;)			;
;								;
;	2. Link the object file. (LINK CS,CS;)			;
;								;
;	3. Convert EXE file to COM. (EXE2BIN CS)		;
;								;
;	4. Execute the program as follows:			;
;								;
;		A>CS S		<-- to run slow			;
;		A>CS F		<-- to run fast			;
;								;
;***************************************************************;

SCP_STAT	EQU	0064H
SCP_CMD		EQU	0064H

SCP_IBF		EQU	0002H
SCP_SLOW	EQU	00B1H
SCP_FAST	EQU	00B2H

DEF_FCB		EQU	005CH

CODE	SEGMENT
	ASSUME	CS:CODE
	ORG	00100H

start:
	mov	bx,DEF_FCB+1
	mov	al,byte ptr[bx]
	and	al,05fh			;make it upper case
	cmp	al,'S'
	je	s1
	cmp	al,'F'
	je	s2
	mov	dx,offset usage		;show usage
	mov	ah,9			;and
	int	21h
	int	20h			;quit

s1:
	mov	dx,offset slowset
	mov	ah,9
	int	21h
	mov	bl,SCP_SLOW
	jmp	chg_speed
s2:
	mov	dx,offset fastset
	mov	ah,9
	int	21h
	mov	bl,SCP_FAST
chg_speed:
	mov	dx,SCP_STAT
cs1:
	in	al,dx
	test	al,SCP_IBF
	jnz	cs1
	mov	al,bl
	out	dx,al
	int	20h			;quit

slowset	db	10,13,'Slow Speed Set',10,13,'$'
fastset	db	10,13,'Fast Speed Set',10,13,'$'
usage	db	10,10,13,'Usage -->   A>CS S   or   A>CS F'
	db	10,13,'Where S=slow mode and F=fast mode',10,13,'$'


CODE	ENDS
	END	START
